subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Silberman <Michael.Silber...@Netgear.com>
Subject RE: Setup post-commit mailer fails
Date Thu, 26 Jan 2017 19:23:41 GMT
Thank you!
I'm not sure how they installed the packages but assuming they used yum to do it.
# yum list | egrep -i "svn|subversion"
acp-gfr-scripts-svn.noarch        1.7.4.1-56                  installed
ltrace.x86_64                     0.5-28.45svn.el6            @anaconda-RedHatEnterpriseLinux-201604140956.x86_64/6.8
mod_dav_svn.x86_64                1.9.4-1                     @/mod_dav_svn-1.9.4-1.x86_64
subversion.x86_64                 1.9.4-1                     @/subversion-1.9.4-1.x86_64
subversion-debuginfo.x86_64       1.9.4-1                     @/subversion-debuginfo-1.9.4-1.x86_64
subversion-fsfswd.x86_64          1.9.4-1                     @/subversion-fsfswd-1.9.4-1.x86_64
subversion-javahl.x86_64          1.9.4-1                     @/subversion-javahl-1.9.4-1.x86_64
svn-multisite-plus.x86_64         1:1.9.2.2-147               @/svn-multisite-plus-1.9.2.2-147.x86_64
eclipse-svnkit.x86_64             1.3.0-3.el6                 rhel-6-server-rpms
kmid.i686                         2.0-0.14.20080213svn.el6    rhel-6-server-rpms
kmid.x86_64                       2.0-0.14.20080213svn.el6    rhel-6-server-rpms
kmid-common.noarch                2.0-0.14.20080213svn.el6    rhel-6-server-rpms
libdvdread.x86_64                 4.1.4-0.3.svn1183.el6       rhel-6-server-rpms
matchbox-window-manager.x86_64    1.2-6.20070628svn.1.el6     rhel-6-server-rpms
sgabios-bin.noarch                0-0.3.20110621svn.el6       rhel-6-server-rpms
subversion.i686                   1.6.11-15.el6_7             rhel-6-server-rpms
subversion-javahl.i686            1.6.11-15.el6_7             rhel-6-server-rpms
svnkit.x86_64                     1.3.0-3.el6                 rhel-6-server-rpms

 I downloaded the Python 2.7 tarball from https://www.python.org/ftp/python/2.7.13/Python-2.7.13.tgz
I built it and installed alternate target.

I installed the RPM from http://opensource.wandisco.com/rhel/6/svn-1.9/RPMS/x86_64/subversion-python-1.9.4-1.x86_64.rpm.

Does this help? Is there another set of commands to run that would provide more useful information?

-----Original Message-----
From: Stefan Sperling [mailto:stsp@elego.de] 
Sent: Thursday, January 26, 2017 11:08 AM
To: Michael Silberman <Michael.Silberman@Netgear.com>
Cc: Pavel Lyalyakin <pavel.lyalyakin@visualsvn.com>; users@subversion.apache.org
Subject: Re: Setup post-commit mailer fails

On Thu, Jan 26, 2017 at 06:33:53PM +0000, Michael Silberman wrote:
> Is there an RPM or set of them I need to install to make this work?

Depends.

The Apache Subversion project does not officially endorse or maintain any binary packages
of the Subversion software. 
See https://urldefense.proofpoint.com/v2/url?u=http-3A__subversion.apache.org_packages.html&d=DwIBAg&c=mPqdMxlQPdltZylzF3sRPA&r=3Cfm8zsX3deZqG3JCZLpFealAzwN9AMA_A7tQtJEAFY&m=-P9-bauQXVXQeq0wS1BzxA7TYD0T9zT9mtZ7IHhUo24&s=hRYS2xVwBTE8SyOYLvDM3WH9muj60lqYHUPVSqOwn5s&e=


Depending on where you got your binary packages from, the distributor of those packages may
have chosen to package python bindings separately.
For example, it seems in CentOS the python bindings are packaged as an additional RPM called
'subversion-python'.
This choice is up to the distributor, not the Subversion project.

Unless you tell us which SVN binary packages you installed it is impossible for us to find
the name of the extra package you might need.

You could also ask the distributor of your package.

Mime
View raw message